Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450948 - nash 'dm create' command requires major:minor numbers when establishing multipath
Summary: nash 'dm create' command requires major:minor numbers when establishing multi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 20:53 UTC by Glenn Watkins
Modified: 2009-12-18 06:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 06:12:41 UTC


Attachments (Terms of Use)
This is a patch for mkinitrd-6.0.19 that creates a new nash command. (deleted)
2008-06-11 20:53 UTC, Glenn Watkins
no flags Details | Diff

Description Glenn Watkins 2008-06-11 20:53:14 UTC
Description of problem:
When the OS volume is multipathed, the major:minor numbers of each of the
devices is required in the nash init script. This becomes a problem when the
number of drives is changing which means the major:minor number of successive
paths will not remain the same across reboots. There should be a command to
specify the WWID of the volume so that the device numbers can be looked up
without prior specification. 

Version-Release number of selected component (if applicable):


How reproducible:
Very

Steps to Reproduce:
1. Use a multipathed OS LUN
2. Add additional LUNs
3. Reboot
  
Actual results:
OS volume will not use multipath

Expected results:
With the change, the correct devices will be found based on a provided WWID and
the multipath will be correctly established.

Additional info:
I have created a new nash command, 'mp'. This command takes the mpath name and
the WWID as arguments.

For example, the existing 'dm create' command might look like:
dm create mpath0 --uuid mpath-360060e80042be50000002be5000000c1 0 211077120
multipath 0 0 2 1 round-robin 0 1 1 8:0 1000 round-robin 0 1 1 8:80 1000

For the same end result, the 'mp' command I've created would look like:
mp mpath0 360060e80042be50000002be5000000c1

I have attached a patch for mkinitrd-6.0.19. This has been tested on Hitachi arrays.

Comment 1 Glenn Watkins 2008-06-11 20:53:14 UTC
Created attachment 308994 [details]
This is a patch for mkinitrd-6.0.19 that creates a new nash command.

Comment 2 Charlie Bennett 2008-06-11 21:07:48 UTC
There is a second problem that this patch appears to address:

If the system reboots with a path outage, the dm create commands in init
fail because the second path as specified my M:m pair cannot be found.

With this patch and an init using the 'mp' command, a system which reboots
during a path outage will actually come up.  A later path restoration is
gracefully handled by dm-multipath.

Comment 3 Charlie Bennett 2008-06-11 21:31:49 UTC
A clarification:

The result of trying to boot a multipathed node after adding additional LUNs
from a SAN is FAIL.  The root filesystem cannot be found.

The result of trying to boot a multipathed node during a path outage is FAIL. 
The root filesystem cannot be found.

This is unpleasant.

Glenn's patch to nash addresses both of these failures by using drive WWID
lookups via INQUIRY page 0x83.



Corresponding mkinitrd changes should be trivial for any shell-loving ;-)
coder as the scsi_id program in udev will report WWIDs.



Comment 4 Bug Zapper 2008-11-26 10:51:21 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Charlie Bennett 2009-01-05 15:58:43 UTC
This problem is not one that will go away by itself.

It is still a *design* problem in Fedora 10.

Comment 6 Glenn Watkins 2009-01-05 16:44:13 UTC
Changing to Fedora 10 as this is still an issue.

Comment 7 Bug Zapper 2009-11-18 12:34:40 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-12-18 06:12:41 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.